package com.cloudcross.ssp.back.model;

import java.util.Date;

import com.cloudcross.ssp.web.widget.SelectorController.ISelector;


/**
 * 用户表
 * <p/>
 * 与rv_users表相关。
 */
public final class User implements ISelector {
	// 主键
	private Long id;
	// 邮箱地址
	private String email;
	// 用户组ID
	private Long userGroupId;
	// 登录用户
	private String username;
	// 登录密码
	private String password;
	// 联系姓名
	private String contactName;
	// 联系电话
	private String phone;
	// 状态：活跃还是不活跃
	private Integer status;
	// 创建日期
	private Date createDate;
	// 更新日期
	private Date modifyDate;
	
	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}
	/**
	 * @param id the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * @return the email
	 */
	public String getEmail() {
		return email;
	}
	/**
	 * @param email the email to set
	 */
	public void setEmail(String email) {
		this.email = email;
	}
	/**
	 * @return the username
	 */
	public String getUsername() {
		return username;
	}
	/**
	 * @param username the username to set
	 */
	public void setUsername(String username) {
		this.username = username;
	}
	/**
	 * @return the password
	 */
	public String getPassword() {
		return password;
	}
	/**
	 * @param password the password to set
	 */
	public void setPassword(String password) {
		this.password = password;
	}
	/**
	 * @return the status
	 */
	public Integer getStatus() {
		return status;
	}
	/**
	 * @param status the status to set
	 */
	public void setStatus(Integer status) {
		this.status = status;
	}
	/**
	 * @return the createDate
	 */
	public Date getCreateDate() {
		return createDate;
	}
	/**
	 * @param createDate the createDate to set
	 */
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	/**
	 * @return the modifyDate
	 */
	public Date getModifyDate() {
		return modifyDate;
	}
	/**
	 * @param modifyDate the modifyDate to set
	 */
	public void setModifyDate(Date modifyDate) {
		this.modifyDate = modifyDate;
	}
	
	public Long getUserGroupId() {
		return userGroupId;
	}
	public void setUserGroupId(Long userGroupId) {
		this.userGroupId = userGroupId;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getContactName() {
		return contactName;
	}
	public void setContactName(String contactName) {
		this.contactName = contactName;
	}
	@Override
	public String toString() {
		return "User [id=" + id + ", email=" + email + ", userGroupId="
				+ userGroupId + ", username=" + username + ", password="
				+ password + ", phone=" + phone + ", status=" + status
				+ ", createDate=" + createDate + ", modifyDate=" + modifyDate
				+ "]";
	}
	@Override
	public String getLabel() {
		return this.username;
	}
	@Override
	public String getValue() {
		return String.valueOf(this.id);
	}
	
}
